BeanAttribute (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.bean
Class BeanAttribute

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractAttribute
              org.dom4j.bean.BeanAttribute

All Implemented Interfaces:
  Attribute, Cloneable, Node, Serializable

public class BeanAttribute
extends AbstractAttribute

`BeanAttribute` represents a mutable XML attribute which is backed by a property of the JavaBean of its parent element.

Version:
  $Revision: 1.7 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`BeanAttribute(BeanAttributeList beanList, int index)`

Method Summary
`Object` | `getData()` Accesses the data of this attribute which may implement data typing bindings such as `XML Schema` or `Java Bean` bindings or will return the same value as `Node#getText()`.
`Element` | `getParent()` `getParent` returns the parent `Element` if this node supports the parent relationship or null if it is the root element or does not support the parent relationship.
`QName` | `getQName()` Returns the `QName` of this attribute which represents the local name, the qualified name and the `Namespace`.
`String` | `getValue()` Returns the value of the attribute.
`void` | `setData(Object data)` Sets the data value of this attribute if this element supports data binding or calls `Node#setText(String)`if it doesn't.
`void` | `setValue(String data)` Sets the value of this attribute or this method will throw an `UnsupportedOperationException` if it is read-only.

Methods inherited from class org.dom4j.tree.AbstractAttribute
`accept, asXML, createXPathResult, getName, getNamespace, getNamespacePrefix, getNamespaceURI, getNodeType, getPath, getQualifiedName, getText, getUniquePath, setNamespace, setText, toString, write`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, clone, createPattern, createXPath, createXPathFilter, detach, getDocument, getDocumentFactory, getNodeTypeName, getPath, getStringValue, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, supportsParent, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.dom4j.Node
`asXPathResult, clone, createXPath, detach, getDocument, getNodeTypeName, getPath, getStringValue, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, supportsParent, valueOf`

Constructor Detail

### BeanAttribute

    public BeanAttribute(BeanAttributeList beanList,
                         int index)

Method Detail

### getQName

    public QName getQName()

  Description copied from interface: `Attribute`

  Returns the `QName` of this attribute which represents the local name, the qualified name and the `Namespace`.

  Returns:
    the `QName` associated with this attribute

### getParent

    public Element getParent()

  Description copied from interface: `Node`

  `getParent` returns the parent `Element` if this node supports the parent relationship or null if it is the root element or does not support the parent relationship.

  This method is an optional feature and may not be supported for all `Node` implementations.

  Specified by:
    `getParent` in interface `Node`
  Overrides:
    `getParent` in class `AbstractNode`

### getValue

    public String getValue()

  Description copied from interface: `Attribute`

  Returns the value of the attribute. This method returns the same value as the `Node.getText()`method.

  Returns:
    the value of the attribute

### setValue

    public void setValue(String data)

  Description copied from interface: `Attribute`

  Sets the value of this attribute or this method will throw an `UnsupportedOperationException` if it is read-only.

  Specified by:
    `setValue` in interface `Attribute`
  Overrides:
    `setValue` in class `AbstractAttribute`

### getData

    public Object getData()

  Description copied from interface: `Attribute`

  Accesses the data of this attribute which may implement data typing bindings such as `XML Schema` or `Java Bean` bindings or will return the same value as `Node.getText()`.

  Specified by:
    `getData` in interface `Attribute`
  Overrides:
    `getData` in class `AbstractAttribute`

### setData

    public void setData(Object data)

  Description copied from interface: `Attribute`

  Sets the data value of this attribute if this element supports data binding or calls `Node.setText(String)`if it doesn't.

  Specified by:
    `setData` in interface `Attribute`
  Overrides:
    `setData` in class `AbstractAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.